/// <reference types="node" />
import { FormBuilder, FormGroup } from "@angular/forms";
import { EventEmitter } from "events";
export declare class FormUsername {
    formBuilder: FormBuilder;
    username: string;
    usernameReturn: EventEmitter;
    divInputText: string;
    userIcon: string;
    inputText: string;
    divErrors: string;
    divErrorMessage: string;
    constructor(formBuilder: FormBuilder);
    customStyle: {
        divInputText: any;
        userIcon: any;
        inputText: any;
        divErrors: any;
        divErrorMessage: any;
    };
    emit(): void;
    validations_form: FormGroup;
    validation_messages: {
        username: {
            type: string;
            message: string;
        }[];
    };
    ngOnInit(): void;
}
